#!/bin/bash

source ~/.bash_profile
export ORACLE_SID=kjtdb
export NLS_LANG=AMERICAN_AMERICA.ZHS16GBK

today=`date|awk '{print $1}'`

if [ $today = "Sun" ]; then
     backcmd="backup as backupset incremental level 0 FORMAT '/kjtarch/kjtdb/databak/Level0_%I_%d_%T_%u_s%s_p%p' database spfile ;"
  else
     backcmd="backup as backupset incremental level 1 cumulative FORMAT '/kjtarch/kjtdb/databak/Level1_%I_%d_%T_%u_s%s_p%p' database spfile ;"
fi

logfile=/kjtarch/kjtdb/baklog/`date +%Y%m%d%H%M%S`.log
rman log=$logfile <<EOF
CONNECT TARGET / 
sql 'alter system checkpoint';
sql 'alter system switch logfile';
$backcmd
BACKUP ARCHIVELOG ALL FORMAT '/kjtarch/kjtdb/archbak/archlog_%I_%d_%T_%u_s%s_p%p_AL' DELETE INPUT;
delete noprompt obsolete ; 
EXIT;
EOF